# This spec is backported to ALTLinux 5.0 automatically by rpmbph script. Do not edit it.
#
%define         short_version 0.1.5

Name:           kBuild
Version:        %short_version.r2373
Release: alt0.M50.1
License:        %gpl3plus
Group:          Development/Other
Summary:        A cross-platform build environment framework for complex tasks
Packager:       Evgeny Sinelnikov <sin@altlinux.ru>
Url:            http://svn.netlabs.org/kbuild

Source:         %name-%version.tar.bz2
Patch0:          kBuild-0.1.5-strlcpy-linux.patch
Patch1:         kBuild-0.1.5-dprintf.patch
Patch2:         kBuild-0.1.3-escape.patch

BuildRequires(pre): rpm-build-licenses
BuildRequires:  cvs flex libacl-devel

%description
This is a GNU make fork with a set of scripts to simplify
complex tasks and portable versions of various UNIX tools to
ensure cross-platform portability.

The goals of the kBuild framework:
- Similar behavior across all supported platforms
- Flexibility, don't create unnecessary restrictions preventing
  ad-hoc solutions
- Makefiles can be simple to write and maintain
- One configuration file for a subtree automatically included
- Target configuration templates as the primary mechanism for
  makefile simplification
- Tools and SDKs for helping out the templates with flexibility
- Non-recursive makefile method by using sub-makefiles

It is used mainly to build VirtualBox OSE packages for RPM Fusion
repository.

Authors:
--------
    Knut St. Osmundsen <bird-kbuild-spam@anduin.net>

%prep
%setup -q
%patch -p2
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
kBuild/env.sh --full make -f bootstrap.gmk SRCDIR=`pwd`
kBuild/env.sh kmk rebuild PATH_INS=`pwd`
pod2man -c 'kBuild for ALT Linux' -r %name-%version dist/debian/kmk.pod |sed -e 's/Debian/ALT Linux/' > kmk.1

%install
kBuild/env.sh kmk NIX_INSTALL_DIR=%_prefix BUILD_TYPE=release PATH_INS=%buildroot LDFLAGS=-Wl,--as-needed
install -m 644 -D kmk.1 %buildroot/%_man1dir/kmk.1
chmod a-x %buildroot%_datadir/%name/*/*kmk

%files
%_docdir/%name-%short_version
%_bindir/*
%_man1dir/*
%_datadir/%name

%changelog
* Thu Mar 11 2010 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.5.r2373-alt0.M50.1
- backport to ALTLinux 5.0 (by rpmbph script)

* Wed Mar 03 2010 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.5.r2373-alt1
- Update to last stable release - 0.1.5-p2 (r2373)

* Sun May 10 2009 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.5.r2336-alt2
- Fix build for gcc-4.4
- Fix summary and description
- Add patches from Fedora
+ Fix typoes (Robert P. J. Day, RH#495393)
+ Comment out the colliding dprintf

* Fri May 08 2009 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.5.r2336-alt1
- Update to last stable release - 0.1.5-p1 (r2336)

* Thu Jan 29 2009 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.5.r2259-alt1
- Update to release
- Add QuickReference

* Mon Dec 22 2008 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.5.r2108-alt2
- Fixed license to GPLv3 (thanks to vsu@)

* Mon Dec 22 2008 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.5.r2108-alt1
- Update from svn

* Fri Nov 07 2008 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.4.r1779-alt1
- Update to new release

* Fri Aug 29 2008 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.3.r1651-alt1
- Initial ALTLinux Sisyphus release from builds for Suse
- Rename package to kBuild
